Subject: Explicit Route Object - Abstract Node

From: "Roberto Guglielmi" <[email-masked]>
Date: Wed, 6 Mar 2002 15:04:12 +0100

Hello everybody,
I would appreciate your help to clarify the meaning of  "abstract node" used
in RSVP-TE.
It's not clear to me how to manage address prefixes to set up a path with
loose subobjects.

RFC 3209 (Extensions to RSVP for LSP Tunnels), paragraph 4.3.3.2, defines
the IPv4 subobject of the Explicit Route Object as following:
"  The contents of an IPv4 prefix subobject are a 4-octet IPv4 address,
   a 1-octet prefix length, and a 1-octet pad.  The abstract node
   represented by this subobject is the set of nodes that have an IP
   address which lies within this prefix.  Note that a prefix length of
   32 indicates a single IPv4 node."

Suppose we have the following 4-nodes network topology:

        A--------B------------------D--------
                       |                              |
                       '---------C---------'

where the node A is the Ingress LER and the If addresses are the following:
        Node A output If = 172.16.2.2/24
        Node B input If   = 172.16.2.1/24
        Node B output If = 198.172.20.5/24
        Node C input If   = 198.172.20.9/24
        Node C output If = 10.2.2.1/24
        Node C input If   = 10.2.2.3/24

Suppose node A wants to set up an Explicitly Routed Tunnel including an ERO
within the Path message, indicating the LSP has to pass through node C. The
ERO should contain one LOOSE subobject with address prefix of node C.
As stated in paragraph 4.3.4.1, "The node receiving the RSVP message MUST
first evaluate the first subobject.  If the node is not part of the abstract
node described by the first subobject, it has received the message in error
and SHOULD return a "Bad initial subobject" error...".

I have the following questions:
1) In order node B "...to be part of the abstract node described by the
first subobject...", should the only subobject in ERO be an address prefix
including also node B?

2) What should the ERO contain in term of IPv4 prefixes?

Thanks in advance for your help.
Best regards,
Roberto

*********************************************

Roberto Guglielmi
Alcatel Italy
Terrestrial Network Division
R&D - IP Lab
E-mail: [email-masked]
Tel.: +39 039 686 4801

*********************************************

---

From: "Amarendra" <[email-masked]>
Date: Fri, 8 Mar 2002 14:40:35 +0530

Yeah, U are right..
----- Original Message -----
From: "Roberto Guglielmi" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Friday, March 08, 2002 2:20 PM
Subject: Re: Explicit Route Object - Abstract Node

> Hi Amarendra,
> correct me if I'm wrong.
> Basically you mean at the first node we always have to have at least 2
> subobjects, and in case we want our messages to pass through n nodes we
have
> to have n+1 subobjects. Am I right?
> Is the meaning of Abstract Node the set of all the nodes identified by an
> address prefix, whatever it would be?
>
> I appreciate your help.
> Roberto
>
> ----- Original Message -----
> From: <[email-masked]>
> To: <[email-masked]>
> Sent: Thursday, March 07, 2002 12:56 PM
> Subject: Re: Explicit Route Object - Abstract Node
>
>
> Sorry for late reply....
> No, We don't need to have n sub objects in this case. We need to have just
2
> ERO Sub Objects between any two directly connected nodes....
> Let me explain u with digram
> ------------A--------------A1------------A2----------------A3----------A4-
--
> ------------B-----------------C
> ERO:       IPA1:IPC      IPA2:IPC         IPA3:IPC          IPA4:IPC
> IPB:IPC              IPC
> (After Processing)
>
> Node :Where IPX means IP address of X.
> While processing of ERO at node A, Next hop calculation will result in to
Ip
> address of A1, so IP address of A1 will be inserted before Actual ERO.
> Similarly at other nodes......and in last at B only IP address of C will
> remain in ERO.
> ...
> Regards
> Amarendra
>
> ----- Original Message -----
> From: "Roberto Guglielmi" <[email-masked]>
> To: <[email-masked]>
> Sent: Thursday, March 07, 2002 1:15 PM
> Subject: Re: Explicit Route Object - Abstract Node
>
>
> > Hi Amarendra,
> > From what you say if we have n nodes between node A and node C we have
to
> > use at least n sobobjects, don't we?
> > I was wondering if it's possible to use only the address prefix of node
C.
> > What do you think?
> > Thanks for your help.
> > Roberto
> >
> > ----- Original Message -----
> > From: <[email-masked]>
> > To: <[email-masked]>
> > Sent: Thursday, March 07, 2002 4:11 AM
> > Subject: Re: Explicit Route Object - Abstract Node
> >
> >
> > Hi,
> > After processing of PATH message at node A, which wass generated on Node
A
> > only, it will contain ERO with two subobjects, one the Ip Address of In
> > Interface of Node B and next, the LOOSE subobject with address prefix of
> > node C. Please refer "Section RFC 3209 4.3.4.1. Selection of the Next
Hop
> > (5b), Section 4.3.4.2. Adding subobjects to the Explicit Route Object".
> > Regards
> > Amarendra
> > ----- Original Message -----
> > From: "Roberto Guglielmi" <[email-masked]>
> > To: "MPLS WG" <[email-masked]>
> > Sent: Wednesday, March 06, 2002 7:34 PM
> > Subject: Explicit Route Object - Abstract Node
> >
> >
> > > Hello everybody,
> > > I would appreciate your help to clarify the meaning of  "abstract
node"
> > used
> > > Suppose node A wants to set up an Explicitly Routed Tunnel including
an
> > ERO
> > > within the Path message, indicating the LSP has to pass through node
C.
> > The

---

From: "Roberto Guglielmi" <[email-masked]>
Date: Fri, 8 Mar 2002 09:50:20 +0100

Hi Amarendra,
correct me if I'm wrong.
subobjects, and in case we want our messages to pass through n nodes we have

I appreciate your help.
Roberto

----- Original Message -----
From: <[email-masked]>
To: <[email-masked]>
Sent: Thursday, March 07, 2002 12:56 PM
Subject: Re: Explicit Route Object - Abstract Node

Sorry for late reply....
No, We don't need to have n sub objects in this case. We need to have just 2
ERO Sub Objects between any two directly connected nodes....
Let me explain u with digram
------------A--------------A1------------A2----------------A3----------A4---
------------B-----------------C
ERO:       IPA1:IPC      IPA2:IPC         IPA3:IPC          IPA4:IPC
IPB:IPC              IPC
(After Processing)

Node :Where IPX means IP address of X.
While processing of ERO at node A, Next hop calculation will result in to Ip
address of A1, so IP address of A1 will be inserted before Actual ERO.
Similarly at other nodes......and in last at B only IP address of C will
remain in ERO.
...
Regards
Amarendra

----- Original Message -----
From: "Roberto Guglielmi" <[email-masked]>
To: <[email-masked]>
Sent: Thursday, March 07, 2002 1:15 PM
Subject: Re: Explicit Route Object - Abstract Node

> Hi Amarendra,
> From what you say if we have n nodes between node A and node C we have to
> I was wondering if it's possible to use only the address prefix of node C.
> What do you think?
> Thanks for your help.
> Roberto
>
> After processing of PATH message at node A, which wass generated on Node A
> node C. Please refer "Section RFC 3209 4.3.4.1. Selection of the Next Hop